daemon off;

user www-data;
worker_processes  1;

error_log  stderr error;

events {
    worker_connections  1024;
}

http {
    include       mime.types;
    default_type  application/octet-stream;

    sendfile        on;
    #tcp_nopush     on;

    #keepalive_timeout  0;
    keepalive_timeout  65;

    #gzip  on;

    server {
        listen 80;

        root /var/www/html;
        index index.php index.html index.htm;

        client_max_body_size 100M;
        client_body_buffer_size 128k;

        location ~ \.php$ {
            try_files $uri =404;
            fastcgi_pass unix:/run/php/php7.3-fpm.sock;
            fastcgi_index index.php;
            fastcgi_param SCRIPT_FILENAME $document_root$fastcgi_script_name;
            include fastcgi_params;
        }

        location ~ /\.ht {
            deny all;
        }

        location ~ /(data|conf|bin|inc|config|lib)/ {
            deny all;
        }
    }
}
